Package ru.bitel.bgbilling.apps.tv.access.om

# Class ProductOrderEvent

java.lang.Object
ru.bitel.bgbilling.apps.tv.access.om.AbstractOrderEvent
ru.bitel.bgbilling.apps.tv.access.om.ProductOrderEvent

All Implemented Interfaces:
  `ContractIdable`

public class ProductOrderEvent extends AbstractOrderEvent implements ContractIdable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EVENT_TYPE_PRODUCT_MODIFY`

  ### Fields inherited from class ru.bitel.bgbilling.apps.tv.access.om.AbstractOrderEvent

  `filterByDepends`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductOrderEvent(ru.bitel.bgbilling.apps.tv.access.TvAccess tvAccess, ru.bitel.bgbilling.kernel.event.common.Event event, int deviceId, TvAccountRuntime tvAccountRuntime, int eventType, int tvAccountId, TvAccountSpec tvAccountSpec, TvAccount tvAccount, List<ProductEntry> productEntryList, Set<Integer> oldDeviceOptionIds, Set<Integer> newDeviceOptionIds, int accessCode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  Возвращает id договора
  `List<ProductEntry>`
  `getFullProductEntryListToEnable()`
  `protected Map<Integer,ProductSpecRuntime>`
  `getFullProductSpecRuntimeMapToEnable()`
  `List<ProductEntry>`
  `getProductEntryList()`
  `Set<ProductSpecRuntime>`
  `getProductSpecRuntimeSetToAdd()`
  `Set<ProductSpecRuntime>`
  `getProductSpecRuntimeSetToRemove()`
  `Set<ProductSpec>`
  `getProductSpecSetToAdd()`
  `Set<ProductSpec>`
  `getProductSpecSetToRemove()`
  `Set<ServiceSpecRuntime>`
  `getServiceSpecRuntimeSetToAdd()`
  `Set<ServiceSpecRuntime>`
  `getServiceSpecRuntimeSetToRemove()`
  `Set<ServiceSpec>`
  `getServiceSpecSetToAdd()`
  `Set<ServiceSpec>`
  `getServiceSpecSetToRemove()`
  `TvAccount`
  `getTvAccount()`
  `int`
  `getTvAccountId()`

  ### Methods inherited from class ru.bitel.bgbilling.apps.tv.access.om.AbstractOrderEvent

  `filterProductSpecByDepends, getDeviceOptionIdsToDisable, getDeviceOptionIdsToEnable, getDeviceOptionProductSpecSetToDisable, getDeviceOptionProductSpecSetToEnable, getFullProductEntryList, getFullProductSpecRuntimeSetToEnable, getFullProductSpecSetToEnable, getFullServiceSpecRuntimeSetToEnable, getFullServiceSpecSetToEnable, getFullTvChannelSpecSetToEnable, getNewDeviceOptionIds, getNewDeviceOptionProductSpecs, getOldDeviceOptionIds, getOldDeviceOptionProductSpecs, getProductSpecList, getProductSpecRuntimeList, getTvAccountChildren, getTvAccountRuntime, isFilterByDepends, isOptionsModified, setFilterByDepends, setNewDeviceOptionIds`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EVENT_TYPE_PRODUCT_MODIFY

    public static final int EVENT_TYPE_PRODUCT_MODIFY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProductOrderEvent

    public ProductOrderEvent(ru.bitel.bgbilling.apps.tv.access.TvAccess tvAccess, ru.bitel.bgbilling.kernel.event.common.Event event, int deviceId, TvAccountRuntime tvAccountRuntime, int eventType, int tvAccountId, TvAccountSpec tvAccountSpec, TvAccount tvAccount, List<ProductEntry> productEntryList, Set<Integer> oldDeviceOptionIds, Set<Integer> newDeviceOptionIds, int accessCode)

- ## Method Details

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Overrides:
      `getContractId` in class `AbstractOrderEvent`
    Returns:

  - ### getTvAccountId

    public int getTvAccountId()
    Overrides:
      `getTvAccountId` in class `AbstractOrderEvent`

  - ### getTvAccount

    public TvAccount getTvAccount()

  - ### getProductEntryList

    public List<ProductEntry> getProductEntryList()

  - ### getProductSpecRuntimeSetToAdd

    public Set<ProductSpecRuntime> getProductSpecRuntimeSetToAdd()

  - ### getProductSpecRuntimeSetToRemove

    public Set<ProductSpecRuntime> getProductSpecRuntimeSetToRemove()

  - ### getProductSpecSetToAdd

    public Set<ProductSpec> getProductSpecSetToAdd()

  - ### getProductSpecSetToRemove

    public Set<ProductSpec> getProductSpecSetToRemove()

  - ### getServiceSpecRuntimeSetToAdd

    public Set<ServiceSpecRuntime> getServiceSpecRuntimeSetToAdd()

  - ### getServiceSpecRuntimeSetToRemove

    public Set<ServiceSpecRuntime> getServiceSpecRuntimeSetToRemove()

  - ### getServiceSpecSetToAdd

    public Set<ServiceSpec> getServiceSpecSetToAdd()

  - ### getServiceSpecSetToRemove

    public Set<ServiceSpec> getServiceSpecSetToRemove()

  - ### getFullProductSpecRuntimeMapToEnable

    protected Map<Integer,ProductSpecRuntime> getFullProductSpecRuntimeMapToEnable() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFullProductSpecRuntimeMapToEnable` in class `AbstractOrderEvent`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFullProductEntryListToEnable

    public List<ProductEntry> getFullProductEntryListToEnable() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFullProductEntryListToEnable` in class `AbstractOrderEvent`
    Throws:
      `ru.bitel.bgbilling.common.BGException`